<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" 
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!-- @author Dmitry Repchevsky -->

<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:c="http://xmlns.jcp.org/jsp/jstl/core"
      xmlns:fn="http://xmlns.jcp.org/jsp/jstl/functions"
      xmlns:x="http://xmlns.jcp.org/jsf/composite/components">
    
    <body>
      <ui:composition>
          <c:set var="response" value="#{processor.responses[endpoint]}" />
          <div id="result_#{endpoint}" 
             style="#{empty response ? 'color:grey ; grayscale(100%); filter: opacity(50%)' : 'color:darkgreen; grayscale(0%); filter: opacity(100%)'}">
          <x:toggle class="endpoint-line" >
            <f:facet name="header">
              <div class="entity-label #{entry_types[bn.getTemplate(endpoint)]}">
                <h:outputText rendered="#{not empty response and
                                          not empty response.responseSummary and
                                          response.responseSummary.exists}"
                              value="#{response.responseSummary.numTotalResults > 0 ? 
                                       response.responseSummary.numTotalResults : 'true'}" />
              </div>
              <div style="overflow: hidden; cursor: pointer">
                <h:outputText value="#{endpoint}"/>
                <h:outputText rendered="#{fn:length(endpoints_parameters[bn.getTemplate(endpoint)]) > 1 or !fn:contains(bn.getTemplate(endpoint), '{')}" value="?"/>
                  <ui:repeat value="#{endpoints_parameters[bn.getTemplate(endpoint)]}" var="parameter" varStatus="status">
                    <h:outputText rendered="#{not fn:contains(bn.getTemplate(endpoint), parameter) and bn.params[parameter] == null}" value="#{parameter}=#{bn.params[parameter]}"/>
                    <h:outputText rendered="#{not fn:contains(bn.getTemplate(endpoint), parameter) and bn.params[parameter] != null}" style="color: black" value="#{parameter}=#{bn.params[parameter]}"/>
                    <h:outputText rendered="#{not fn:contains(bn.getTemplate(endpoint), parameter) and not status.last}" style="filter: opacity(30%)" value="&amp;"/>
                  </ui:repeat>
              </div>
            </f:facet>
            <f:facet name="content" rendered="#{not empty response}">
              <h:panelGroup class="result-box"
                            rendered="#{not empty response.response}">

                <c:forEach items="#{response.response.resultSets}" var="result_set">
                  <c:forEach items="#{result_set.results}" var="result" varStatus="status">
                    <ui:include src="tree.xhtml">
                      <ui:param name="result" value="#{result}" />
                    </ui:include>
                    <h:outputText rendered="#{not status.last}" value="&lt;br/&gt;" escape="false" />
                  </c:forEach>                   
                </c:forEach>

              </h:panelGroup>
            </f:facet>
          </x:toggle>
        </div>
      </ui:composition>
    </body>
</html>
